Bullet Collision Detection & Physics Library: btCGProjection Class Reference

Bullet Collision Detection & Physics Library

Public Types | Public Member Functions | Public Attributes | List of all members
btCGProjection Class Referenceabstract

`#include <btCGProjection.h>`

Collaboration diagram for btCGProjection:
[legend]

## Public Types
typedef btAlignedObjectArray< btVector3 > | TVStack
typedef btAlignedObjectArray< btAlignedObjectArray< btVector3 > > | TVArrayStack
typedef btAlignedObjectArray< btAlignedObjectArray< btScalar > > | TArrayStack

## Public Member Functions
| btCGProjection (btAlignedObjectArray< btSoftBody * > &softBodies, const btScalar &dt)
virtual | ~btCGProjection ()
virtual void | project (TVStack &x)=0
virtual void | setConstraints ()=0
virtual btScalar | update ()=0
virtual void | reinitialize (bool nodeUpdated)
virtual void | setIndices (const btAlignedObjectArray< btSoftBody::Node * > *nodes)

## Public Attributes
btAlignedObjectArray< btSoftBody * > & | m_softBodies
const btScalar & | m_dt
const btAlignedObjectArray< btSoftBody::Node * > * | m_nodes

## Detailed Description

Definition at line 66 of file btCGProjection.h.

## Member Typedef Documentation

## ◆ TArrayStack

typedef btAlignedObjectArray<btAlignedObjectArray<btScalar> > btCGProjection::TArrayStack

Definition at line 71 of file btCGProjection.h.

## ◆ TVArrayStack

typedef btAlignedObjectArray<btAlignedObjectArray<btVector3> > btCGProjection::TVArrayStack

Definition at line 70 of file btCGProjection.h.

## ◆ TVStack

typedef btAlignedObjectArray<btVector3> btCGProjection::TVStack

Definition at line 69 of file btCGProjection.h.

## Constructor & Destructor Documentation

## ◆ btCGProjection()

btCGProjection::btCGProjection | ( | btAlignedObjectArray< btSoftBody * > & | softBodies,
|  | const btScalar & | dt
| ) |  |
| inline

Definition at line 77 of file btCGProjection.h.

## ◆ ~btCGProjection()

virtual btCGProjection::~btCGProjection | ( |  | ) |
| inlinevirtual

Definition at line 82 of file btCGProjection.h.

## Member Function Documentation

## ◆ project()

virtual void btCGProjection::project | ( | TVStack & | x | ) |
| pure virtual

## ◆ reinitialize()

virtual void btCGProjection::reinitialize | ( | bool | nodeUpdated | ) |
| inlinevirtual

Definition at line 94 of file btCGProjection.h.

## ◆ setConstraints()

virtual void btCGProjection::setConstraints | ( |  | ) |
| pure virtual

## ◆ setIndices()

virtual void btCGProjection::setIndices | ( | const btAlignedObjectArray< btSoftBody::Node * > * | nodes | ) |
| inlinevirtual

Definition at line 98 of file btCGProjection.h.

## ◆ update()

virtual btScalar btCGProjection::update | ( |  | ) |
| pure virtual

## Member Data Documentation

## ◆ m_dt

const btScalar& btCGProjection::m_dt

Definition at line 73 of file btCGProjection.h.

## ◆ m_nodes

const btAlignedObjectArray<btSoftBody::Node*>* btCGProjection::m_nodes

Definition at line 75 of file btCGProjection.h.

## ◆ m_softBodies

btAlignedObjectArray<btSoftBody*>& btCGProjection::m_softBodies

Definition at line 72 of file btCGProjection.h.

The documentation for this class was generated from the following file:

- btCGProjection.h